# All Classes and Interfaces

Class
Description
Attribute
Mark an annotation element as an attribute.
Capabilities
Container annotation for repeated `Capability` annotations.
Capability
Define a capability for a bundle.
ConsumerType
A type implemented by, or extended by, the Consumer Role.
Directive
Mark an annotation element as a directive.
Export
Mark a package to be exported from its bundle.
Export.Substitution
Substitution policy for this package.
Header
Define a manifest header for a bundle.
Headers
Container annotation for repeated `Header` annotations.
ProviderType
A type implemented by, or extended by, the Provider Role.
Referenced
Mark types as referenced.
Requirement
Define a requirement for a bundle.
Requirement.Cardinality
Cardinality for this requirement.
Requirement.Resolution
Resolution for this requirement.
Requirements
Container annotation for repeated `Requirement` annotations.
Version
Specify the version of a package.